/*    LEGACY CSS FILE, DO NOT USE ANYMORE!    */

body {
  padding-top: 60px;
}

.main-grid{
  margin-top: 15px;
  margin-bottom: 20px;
}

.uiblock{
  background-color:#fafafa;
  border:1px solid #ddd;
}

.fluo{
  background-color: #ceffcd;
  font-weight: bold;
}

li.menutitle a { font-weight: bold !important; }
li.menutitle a:hover { background-color: transparent !important; }

/* Item / model background color for lifestage */
.bg_lifestage_0, .bg_lifestage_FUTURE { background-color: #ffffff; padding: 3px; }
.bg_lifestage_1, .bg_lifestage_ACTIVE { background-color: #cccccc; padding: 3px; }
.bg_lifestage_2, .bg_lifestage_NEW { background-color: #ffff00; padding: 3px; }
.bg_lifestage_3, .bg_lifestage_DELETING { background-color: #ffabab; padding: 3px; }
.bg_lifestage_4, .bg_lifestage_DELETED { background-color: #434343; color: #ffffff !important; padding: 3px; }
.bg_lifestage_7, .bg_lifestage_NO_STOCK_CAC { background-color: #ff8e8e; padding: 3px; }
.bg_lifestage_8, .bg_lifestage_NO_STOCK_CAC_CAR { background-color: #df000e; color: #ffffff !important; padding: 3px; }

h3, .h3 { margin-top:5px; margin-bottom: 10px; }

/* icons for jstree depending on level */
.level2 { }
.level3 { }
.level4 { }
.level5 { }
.levelorphan { }

/* View model */
.current-price{ color: blue; }
#spidimg { display: inline; list-style: none; list-style-type: none; }
#spidimg li { float: left; }
.product-picture { cursor:pointer; width:90px; height:90px; padding-right:10px; padding-bottom:10px; }
#itemstable td { cursor:pointer; }
#price-history h4 { margin-top: 15px; }

/* Rangelist */
#categoryjstree .jstree-disabled > .jstree-checkbox { display:none; }

#top-block .search {padding-bottom:5px;}
#top-block label { font-size:12px; margin-bottom:0; }
#top-block .form-group {margin-bottom:0;}
label.nobold {font-weight: normal;}

.fixed-table-pagination .pagination, .fixed-table-pagination .pagination-detail {margin-top: 3px; margin-bottom:3px;}

.row-alt { background-color: #e0f0ff; }
.row-alt:hover { background-color: #cce6ff !important; }
.default-item-yes, .default-model-yes { color: #666; }
.default-item-no, .default-model-no { color: #ccc; cursor: pointer; }
.default-item-no:hover, .default-model-no:hover { color: #0088cc !important; }

.zero-value { color: red; }
.no-spid { color: orange; }
#familytree, #table, .fixed-table-header { font-size: 12px; }
.select-tree { cursor:pointer; }
td.smaller, div.smaller { font-size: 10px; }
.pointer { cursor: pointer; }
.helper {cursor:help; }
.bad-igv, .bad-mgv { background-color: #ffc285; }

.light-gray {background-color: #f5f5f5;}
.decision-details{ text-align: center; /*background-color: #f5f5f5; padding: 1px 1px 5px 1px;*/ }
#gonogo-details-table.table > tbody > tr > td { vertical-align: middle; padding-top:0 !important; padding-bottom: 0 !important;}

.readonly {color:black;}
.readonly:hover {color:black; text-decoration: none;}

.editable-seo-row{}
.editable-seo {
  display: table-cell;
  width: 85px;
  margin-bottom: 5px;
  padding-right: 5px;  
}
.editable-seo-zh {
  display: table-cell;
  width: 170px;
  margin-bottom: 5px;
  padding-right: 5px;
}
.editable-seo-zh-large {
  display: table-cell;
  width: 255px;
  margin-bottom: 5px;
  padding-right: 5px;
}


.editable-seo-large { 
  width: 170px;
} 
.editable-seo span, .editable-seo-large span, .editable-seo-zh span, .editable-seo-zh-large span {
  display: inline-block;
  font-size: 10px;
}
.editable-seo input[type=text] {
  width: 80px;
  font-weight: normal;
}
.editable-seo-zh-large input[type=text] {
  width: 250px;
  font-weight: normal;
}
.editable-seo-zh input[type=text]{
  width: 165px;
  font-weight: normal;
}

.editable-seo-large input[type=text]{
  width: 165px;
  font-weight: normal;
}

.curshelp {cursor: help;}
.label-hiddencat { background-color: #aaa; font-style:italic;}

.label-big {font-size: 12px;}
.split-theory-real { border-left: 2px solid #444 !important; }

.valign { vertical-align: middle !important; }
.hcenter {text-align: center !important;}

.qcol, .sscol, .scol, .lcol, .llcol, .mcol { display:table-cell; padding: 1px; }
.sscol { width: 5%; }
.scol { width: 10%; border-left: 1px solid #ddd;}
.mcol { width: 19%; }
.qcol { width: 20%; }
.lcol { width: 35%; border-left: 1px solid #ddd;}
.llcol {width: 95%; }
.rlitem { display:table; text-align: center; width: 360px !important; border-top: 1px solid #ddd;}
.rlstock { display:table; text-align: center; width: 200px !important; border-top: 1px solid #ddd;}

.colcore1 {display:table-cell; padding: 1px; width: 70px; }
.colcore2 {display:table-cell; padding: 1px; width: 25px; border-left: 1px solid #ddd;}
.colcore3 {display:table-cell; padding: 1px; width: 100px; border-left: 1px solid #ddd;}
.colcore4 {display:table-cell; padding: 1px; width: 50px; border-left: 1px solid #ddd;}
.colcore5 {display:table-cell; padding: 1px; width: 100px; border-left: 1px solid #ddd;}
.colcore6 {display:table-cell; padding: 1px; width: 50px; border-left: 1px solid #ddd; }

.coltmall1 {display:table-cell; padding: 1px; width: 70px; }
.coltmall2 {display:table-cell; padding: 1px; width: 100px; border-left: 1px solid #ddd;}
.coltmallsub1 {display:table-cell; padding: 1px; width: 40px; }
.coltmallsub2 {display:table-cell; padding: 1px; width: 70px; border-left: 1px solid #ddd;}
.coltmallsub3 {display:table-cell; padding: 1px; width: 180px; border-left: 1px solid #ddd;}


.colcube1 {display:table-cell; padding: 1px; width: 70px; }
.colcube2 {display:table-cell; padding: 1px; width: 100px; border-left: 1px solid #ddd;}
.colcube3 {display:table-cell; padding: 1px; width: 40px; border-left: 1px solid #ddd;}
.colcube4 {display:table-cell; padding: 1px; width: 70px; border-left: 1px solid #ddd;}

.stock-display { display: inline-block; height: 12px; width: 25px; margin-right: 5px; position: relative; cursor: pointer;}
.supply-full, .supply-ecom-only, .supply-car-only, .no-supply, .whname { position:absolute; width: 100%; height:100%; top:-2px; left: 0;}
.supply-full { color: #999 } 
.supply-ecom-only { color: red}
.supply-car-only { color: orange}
.no-supply { color: black }
.whname {top: 9px; left: -2px; font-size:50%; font-weight:bold; color: black;}

th.header-tmall {border-top: 4px solid #DD2727 !important }
th.header-cube {border-top: 4px solid #0082c3 !important }

.mini-tag{
    border: 1px solid #ccc;
    border-radius: 3px;
    padding: 2px;
    margin-right: 2px;
    background-color: white;
    line-height: 22px;
}

.bs-callout {
    padding: 5px;
    margin: 5px 5px 5px 5px;
    border: 1px solid #ccc;
    border-left-width: 5px;
    border-radius: 3px;
}
.bs-callout-default { border-left-color: #777;}
.bs-callout-primary { border-left-color: #428bca;}
.bs-callout-success { border-left-color: #5cb85c;}
.bs-callout-danger { border-left-color: #d9534f;}
.bs-callout-warning { border-left-color: #f0ad4e;}
.bs-callout-info { border-left-color: #5bc0de;}

.highlightnumiidtrigger { cursor: alias; }
.highlightme { background-color: #D8F781 !important; }

.rlitemnew { display:table; text-align: center; width: 280px !important; border-top: 1px solid #ddd;}
.rlitemtmall { display:table; text-align: center; width: 465px !important; border-top: 1px solid #ddd;}
.rlitemcore { display:table; text-align: center; width: 395px !important; border-top: 1px solid #ddd;}
/*.rlitemsub {display:table; text-align: center; width: 260px !important;}*/

.no-border-top {border-top: 0 !important; margin-top: 1px}
.no-padding { padding: 0 !important; }
.bootstrap-table .table>tbody>tr>td.no-padding { padding: 0px !important; }
.promoprice { border-bottom: 1px dashed black; cursor: help; }
.crossedprice { text-decoration: line-through; }

.m-col1,.m-col2 {display:table-cell;}
.m-col2{padding-right:3px; padding-left: 3px;}

.isgo {color: green; }
.isnogo {color: red; }
.ispartialgo, .isforcednogo {color: orange; }

/* Item grid review */
.igv-ok {color: #ddd; cursor: help;}
.igv-sayok {margin-left: 8px; color:#bbb;}
.igv-sayok:hover {color: green; background-color: white;}
.igv-nok {color: red;}
.igv-warn {color: orange !important;}
.igv-cell {display: table-cell;}
.igv-gridlabel, .ig-selected { background-color: #e0f0ff; font-weight: bold; }
.igv-gridlabel:hover { background-color: #cce6ff !important; }

.tmall_thumb {height: 45px; width: 45px;}
